Bug 230559 - ClassNotFoundException: org.netbeans.beaninfo.editors.StringArrayEditor
ClassNotFoundException: org.netbeans.beaninfo.editors.StringArrayEditor
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Nodes
7.3.1
All All
: P1 (vote)
: 7.3.1
Assigned To: Jan Peska
issues@platform
EXCEPTIONS_REPORT, 73patch2-verified
:
: 230679 230747 230749 230833 230870 231039 (view as bug list)
Depends on: 209598
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 06:34 UTC by Marian Mirilovic
Modified: 2013-06-19 14:43 UTC (History)
13 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.33 KB, text/plain)
2013-05-31 06:34 UTC, Marian Mirilovic
Details
Installation log that contains couple CNFEs (6.17 MB, text/x-log)
2013-05-31 06:45 UTC, Marian Mirilovic
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2013-05-31 06:34:41 UTC
Build: NetBeans IDE Dev (Build 201305302301)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.25-b01, Java(TM) SE Runtime Environment, 1.7.0_25-b13
OS: Linux

User Comments:
mmirilovic: Installing new build




Stacktrace: 
java.lang.ClassNotFoundException: org.netbeans.beaninfo.editors.StringArrayEditor
   at java.net.URLClassLoader$1.run(URLClassLoader.java:366)
   at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
   at java.security.AccessController.doPrivileged(AccessController.java:0)
   at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
   at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
   at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
Comment 1 Marian Mirilovic 2013-05-31 06:34:43 UTC
Created attachment 135164 [details]
stacktrace
Comment 2 Marian Mirilovic 2013-05-31 06:45:34 UTC
Created attachment 135165 [details]
Installation log that contains couple CNFEs

maybe related to JDK7u25 problems ;(
Comment 3 Jiri Skrivanek 2013-06-03 06:30:20 UTC
Likely it is caused by the fix of bug 209598. I can't reproduce it with the 7.3.1 installer but it breaks tests based on NbModuleSuite. I think it is 7.3.1 stopper. To reproduce run the following in the releases repository either with JDK6u51 or JDK7u25:

 ant -f core.startup test-single -Dtest.includes=org/netbeans/core/startup/InstallTmpModuleTest.java
Comment 4 Jaroslav Tulach 2013-06-03 07:58:56 UTC
Where can I get JDK7u25?
Comment 5 Marian Mirilovic 2013-06-03 08:01:14 UTC
http://jre.us.oracle.com/java/re/jdk/7_25/latest/bundles/
Comment 6 Jaroslav Tulach 2013-06-03 11:52:18 UTC
Running

$ ant -f core.startup/build.xml test-single -Dtest.includes=org/netbeans/core/startup/InstallTmpModuleTest.java

prints out:

   [junit] -------------------------------------------------------------------------------
    [junit] >Log Session: Monday, June 3, 2013 1:50:12 PM CEST
    [junit] >System Info: 
    [junit]   Product Version         = NetBeans Platform Dev (Build 20130529-e2898fe971b5)
    [junit]   Operating System        = Linux version 3.5.0-32-generic running on i386
    [junit]   Java; VM; Vendor        = 1.7.0_25; Java HotSpot(TM) Server VM 23.25-b01; Oracle Corporation
    [junit]   Runtime                 = Java(TM) SE Runtime Environment 1.7.0_25-b13
    [junit]   Java Home               = /usr/local/lib/jdk1.7.0_25/jre
    [junit]   System Locale; Encoding = en_US (nb); UTF-8

and succeeds.
Comment 7 Jiri Skrivanek 2013-06-03 12:23:56 UTC
Your repository seems to be not up-to-date (Build20130529-e2898fe971b5). I am able to reproduce it in releases (release73) repository.

Product Version         = NetBeans Platform 7.3.1 (Build 20130603-ce962b7ce537)
Operating System        = Windows 7 version 6.1 running on amd64
Java; VM; Vendor        = 1.7.0_25; Java HotSpot(TM) 64-Bit Server VM 23.25-b01;
Runtime                 = Java(TM) SE Runtime Environment 1.7.0_25-b13

Also failures are in tests both in trunk and 7.3.1

http://hudson4qe.cz.oracle.com/view/Trunk-QE/job/CV-multi-UI/893/jdk=JDK%207,label=Windows7-slave2/testReport/org.netbeans.test.ide/IDECommitValidationTest/testMainMenu

http://hudson4qe.cz.oracle.com/view/NB7.3.1/job/StableBTD-7.3.1/33/jdk=JDK%207,label=Windows7-slave1/testReport/org.netbeans.core.startup/InstallTmpModuleTest/testInstallJARFromTmp
Comment 8 Jaroslav Tulach 2013-06-03 14:05:46 UTC
I was only trying to reproduce the problem in current developer build. But anyway when I try:

    [junit]   Product Version         = NetBeans Platform 7.3 (Build 20130527-2c4627357851)
    [junit]   Operating System        = Linux version 3.5.0-32-generic running on i386
    [junit]   Java; VM; Vendor        = 1.7.0_25; Java HotSpot(TM) Server VM 23.25-b01; Oracle Corporation
    [junit]   Runtime                 = Java(TM) SE Runtime Environment 1.7.0_25-b13
    [junit]   Java Home               = /usr/local/lib/jdk1.7.0_25/jre

it works as well. I you sure this is a stopper?
Comment 9 Marian Mirilovic 2013-06-03 14:09:24 UTC
(In reply to comment #8)
> I was only trying to reproduce the problem in current developer build. But
> anyway when I try:
> 
>     [junit]   Product Version         = NetBeans Platform 7.3 (Build
> 20130527-2c4627357851)
>     [junit]   Operating System        = Linux version 3.5.0-32-generic running
> on i386
>     [junit]   Java; VM; Vendor        = 1.7.0_25; Java HotSpot(TM) Server VM
> 23.25-b01; Oracle Corporation
>     [junit]   Runtime                 = Java(TM) SE Runtime Environment
> 1.7.0_25-b13
>     [junit]   Java Home               = /usr/local/lib/jdk1.7.0_25/jre
> 
> it works as well. I you sure this is a stopper?

Did you try to run tests, or ... ?
Comment 10 Jiri Skrivanek 2013-06-03 14:13:50 UTC
I can reproduce it even in trunk. I just updated repository (make sure changeset from bug 209598 is in repository), build openide.nodes and run the test. Someone else could you try? I am convinced this is stopper because it breaks final unit test distribution and also functional tests.
Comment 11 Jaroslav Tulach 2013-06-03 16:30:25 UTC
OK, reproduced ("fix" for bug 209598 was missing on my computer before). I just wonder what kind of logic makes a bug suspected to be a regression caused by a fix in platform/nodes end up in module system?
Comment 12 Jaroslav Tulach 2013-06-03 17:07:49 UTC
I've integrated a fix to core-main#1fa5cd16b570
Comment 13 Marian Mirilovic 2013-06-03 20:01:11 UTC
*** Bug 230679 has been marked as a duplicate of this bug. ***
Comment 14 Jiri Skrivanek 2013-06-04 06:33:24 UTC
I tried the patch in main repository and it fixes both unit tests and functional tests. I agree to put it into release73 branch.
Comment 15 Marian Mirilovic 2013-06-04 10:51:08 UTC
Jarda, could you please integrate the fix into releases/release73 ? Thanks in advance.
Comment 16 Quality Engineering 2013-06-05 09:35:44 UTC
Integrated into 'main-golden', will be available in build *201306050626* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1fa5cd16b570
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #230559: Use classical order when searching for classloader. Lookup, Thread.cCL, own CL
Comment 17 Jaroslav Tulach 2013-06-05 11:09:56 UTC
changeset:   f255eab72f59
branch:      release73
tag:         tip
parent:      1eafe7ddd25c
parent:      1fa5cd16b570
user:        Jaroslav Tulach <jtulach@netbeans.org>
date:        Wed Jun 05 13:09:10 2013 +0200
summary:     Merging #230559 into 7.3.1
Comment 18 Quality Engineering 2013-06-05 22:29:21 UTC
Integrated into 'releases', will be available in build *201306052037* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/1fa5cd16b570
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #230559: Use classical order when searching for classloader. Lookup, Thread.cCL, own CL
Comment 19 Jaroslav Tulach 2013-06-06 14:42:25 UTC
*** Bug 230747 has been marked as a duplicate of this bug. ***
Comment 20 Jaroslav Tulach 2013-06-06 14:42:36 UTC
*** Bug 230749 has been marked as a duplicate of this bug. ***
Comment 21 Jaroslav Tulach 2013-06-06 14:42:55 UTC
*** Bug 230833 has been marked as a duplicate of this bug. ***
Comment 22 Jaroslav Tulach 2013-06-19 08:11:06 UTC
*** Bug 230870 has been marked as a duplicate of this bug. ***
Comment 23 Jaroslav Tulach 2013-06-19 08:28:54 UTC
*** Bug 231039 has been marked as a duplicate of this bug. ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo